
subnet {{ dhcp_subnet }} netmask {{ dhcp_subnet_netmask }} {
    authoritative;

    option subnet-mask {{ dhcp_subnet_netmask }};
{% if dhcp_router != "" %}
    option routers {{ dhcp_router }};
{% endif %}

    pool {
        log(concat("[", binary-to-ascii(16, 8, ":", hardware), "] POOL VoIP"));

        range {{ dhcp_range_start }} {{ dhcp_range_end }};

        on commit {
            execute("dxtorc",
                    "commit",
                    binary-to-ascii(10, 8, ".", leased-address),
                    binary-to-ascii(16, 8, ":", suffix(hardware, 6)),
                    pick-first-value(concat("060", binary-to-ascii(16, 8, ".", option vendor-class-identifier)), "")
                   );
        }
    }
}
